

kernel/sched.c: In function `find_busiest_group':
kernel/sched.c:1466: warning: comparison of distinct pointer types lacks a cast
kernel/sched.c:1467: warning: comparison of distinct pointer types lacks a cast
kernel/sched.c:1474: warning: comparison of distinct pointer types lacks a cast
kernel/sched.c:1457: warning: unused variable `load'



---

 25-akpm/include/linux/sched.h |    2 +-
 25-akpm/kernel/sched.c        |    1 -
 2 files changed, 1 insertion(+), 2 deletions(-)

diff -puN kernel/sched.c~sched-group-power-warning-fixes kernel/sched.c
--- 25/kernel/sched.c~sched-group-power-warning-fixes	Thu Feb 19 15:16:20 2004
+++ 25-akpm/kernel/sched.c	Thu Feb 19 15:16:20 2004
@@ -1441,7 +1441,6 @@ nextgroup:
 
 	if (*imbalance <= SCHED_LOAD_SCALE/2) {
 		unsigned long pwr_now = 0, pwr_move = 0;
-		unsigned long load;
 		unsigned long tmp;
 
 		/*
diff -puN include/linux/sched.h~sched-group-power-warning-fixes include/linux/sched.h
--- 25/include/linux/sched.h~sched-group-power-warning-fixes	Thu Feb 19 15:16:20 2004
+++ 25-akpm/include/linux/sched.h	Thu Feb 19 15:16:20 2004
@@ -531,7 +531,7 @@ do { if (atomic_dec_and_test(&(tsk)->usa
 
 #ifdef CONFIG_SMP
 #define SCHED_LOAD_SHIFT 7	/* increase resolution of load calculations */
-#define SCHED_LOAD_SCALE (1 << SCHED_LOAD_SHIFT)
+#define SCHED_LOAD_SCALE (1UL << SCHED_LOAD_SHIFT)
 
 #define SD_FLAG_NEWIDLE		1	/* Balance when about to become idle */
 #define SD_FLAG_EXEC		2	/* Balance on exec */

_
